#include <cassert>
#include <cstdio>
#include <cstring>
#include <algorithm>
using namespace std;

const int N = 100000;

int n, a[N], b[N], a_count[30], b_count[30];

void solve(int *a, int *count) {
    for (int k = 0; k < 30; ++ k) {
        count[k] = 0;
        for (int i = 0; i < n; ++ i) {
            count[k] += a[i] >> k & 1;
        }
    }
}

int main() {
    assert(scanf("%d", &n) == 1);
    assert(1 <= n && n <= N);
    for (int i = 0; i < n; ++ i) {
        assert(scanf("%d", a + i) == 1);
        assert(0 <= a[i] && a[i] < 1 << 30);
    }
    solve(a, a_count);
    for (int i = 0; i < n; ++ i) {
        assert(scanf("%d", b + i) == 1);
        assert(0 <= b[i] && b[i] < 1 << 30);
    }
    solve(b, b_count);
    int x = 0;
    for (int k = 0; k < 30; ++ k) {
        if (a_count[k] != b_count[k]) {
            x |= 1 << k;
        }
    }
    for (int i = 0; i < n; ++ i) {
        a[i] ^= x;
    }
    sort(a, a + n);
    sort(b, b + n);
    int i = 0;
    while (i < n && a[i] == b[i]) {
        i ++;
    }
    printf("%d\n", i == n ? x : -1);
    return 0;
}
