# Contest overview

- Easy
    - *(permanent)* work out $\mathrm{perm}(A)$ of matrix $A$ [tags: **dp**]
    - *(triangle)* count the number of triangle without integral area [tags: **math**]
    - *(cut)* divide the tree into maximum even-sized subtrees [tags: **greedy**, **dp**]
    - *(path)* check if there exists a path with given length on a tree [tags: **dp**]
- Medium
    - *(product)* maintain the value of $$\sum_{|S| = 2 \cdot k + 1, S \subset A} (\prod_{x \in S} x)$$ of $A$ 
    - *(matching)* the maximum cardinal matching for general graph
- Hard
    - *(component)* find the minimum weighted component of given size
